/*-------------------------------------------------------------------------*
 * IMPORT.CMD                                                              *
 *                                                                         *
 * Rexx procedure to import EchoMail.                                      *
 *-------------------------------------------------------------------------*/

echo off

cls

/*
 * Check to see if tag file exists, if it does, then exit.
 */

status = CheckTag( "c:\bbs\logs\mail.tag" )

if status = 1 then
    do
    echo "Mail processing already in progress, cannot start another mail process now."
    call bbslog "Import", "Import attempted while mail processing in progress"
    exit            /* get out */
    end

"c:"
cd "\bbs\filemgr"
FileMgr Mgr

"c:"
cd "\bbs\sqaem"
Sqaem "-cc:\bbs\sqaem\sqaem.cfg c:\bbs\squish\squish.cfg"

/*
 * Update Maximus message database files.
 *
 * Always update local and matrix areas, update echos areas found in
 * ECHOTOSS.LOG.  Delete the log after done.  NOTE: since most areas are
 * now Squish -- SCANBLD is only necessary for any areas that are still
 * *.MSG format.
 */

scanbld "c:\bbs\max\system\user.bbs c:\bbs\max\system\area.dat local matrix @c:\bbs\logs\echotoss.log -c"

del "c:\bbs\logs\mail.tag"        /* remove tag file */

exit
