/*-------------------------------------------------------------------------*
 * CHECKLST.CMD                                                            *
 *                                                                         *
 * Rexx procedure to check to see if we have had any incoming FILES lists. *
 * If so, uncompress and move them to the FILES directory for later        *
 * perusal.                                                                *
 *-------------------------------------------------------------------------*/

echo off

/* trace results */

cls

/* call bbslog "checklst", "CHECKLST started" */

call MoveList 3, "GALAXY.LZH",   "GALAXY.LST",     "19-11.lst"

call MoveList 2, "01090301.ARC", "01090301.lst", "109-301.lst"

call MoveList 1, "ALLFILES.ZIP", "ALLFILES.TXT", "109-357.lst"

call MoveList 1, "FERNWOS2.ZIP", "FERNWOOD.OS2", "141-209.lst"

call MoveList 4, "170-109.ARJ",  "170-109.LST",  "170-109.lst"

call MoveList 1, "170_200.ZIP",  "TG&E.LST",     "170-200.lst"

call MoveList 0, "FILES",        "FILES",        "170-208.lst"

call MoveList 1, "170-300.ZIP",  "170-300.LST",  "170-300.lst"

call MoveList 1, "170-301.ZIP",  "170-301.LST",  "170-301.lst"

call MoveList 0, "HELLFILE.LST", "HELLFILE.LST", "170-311.lst"

call MoveList 1, "XFERLIST.ZIP", "XFERLIST.TXT", "170-329.lst"

call MoveList 1, "170-400.ZIP",  "170-400.LST",  "170-400.lst"

call MoveList 1, "REQUEST.ZIP",  "REQUEST.TXT",  "170-403.lst"

call MoveList 1, "170-405.ZIP",  "170-405.LST",  "170-403.lst"

call MoveList 1, "170-600.ZIP",  "FILELIST.ASC", "170-600.lst"

call MoveList 1, "170-609.ZIP",  "170-609.ASC",  "170-609.lst"

call MoveList 4, "170-610.ARJ",  "170-610.LST",  "170-610.lst"

call MoveList 1, "TOWERLST.ZIP", "TOWERLST.TXT", "170-603.lst"

call MoveList 1, "170-700.ZIP",  "170-700.LST",  "170-700.lst"

call MoveList 1, "170-706.ZIP",  "170-706.LST",  "170-706.lst"

call MoveList 1, "HDCLIST.ZIP",  "HDCFILES.LST", "170-710.lst"

call MoveList 1, "170-711.ZIP",  "170-711.LST",  "170-711.lst"

call MoveList 1, "170-800.ZIP",  "FILES.TXT",    "170-800.lst"

call MoveList 1, "ALLFILES.ZIP", "EMPORIUM.FLS", "170-801.lst"

call MoveList 4, "170-811.ARJ",  "170-811.ASC",  "170-811.lst"

call MoveList 4, "170-900.ARJ",  "170-900.LST",  "170-900.lst"

call MoveList 1, "249_106.ZIP",  "249_106.lst",  "249-106.lst"

call MoveList 1, "FILELIST.ZIP", "FILELIST.TXT", "265-101.lst"

call MoveList 2, "266-12.ARC",   "266-12.AVA",   "266-12.lst"

call MoveList 3, "POSSIBLE.LZH", "POSSIBLE.LST", "323-109.lst"

call MoveList 1, "F340-303.ZIP", "NEMESIS.LST",  "340-303.lst"

call MoveList 1, "F117_385.ZIP", "CNS_FILE.LST", "117-385.lst"

/* call bbslog "checklst", "CHECKLST completed" */

exit


/*-------------------------------------------------------------------------*
 * MoveList                                                                *
 *                                                                         *
 * Uncompress and move the list to the files directory.                    *
 *                                                                         *
 * Arg(1) : 0=No compression, 1=Use PKZIP, 2=Use ARC, 3=Use LHa, 4=Use ARJ *
 * Arg(2) : Name of archive to look for                                    *
 * Arg(3) : Name of text file found in archive                             *
 * Arg(4) : Name of the new list file                                      *
 *                                                                         *
 * Note: 'lstfname' had to be enclosed in quotation marks since one of the *
 *       list files is called "TG&E.LST", and we do not want to interpret  *
 *       the ampersand.                                                    *
 *-------------------------------------------------------------------------*/

MoveList:

    ArcMethod = arg(1)
    arcfname  = "c:\binkley\inbound\"arg(2)
    lstfname  = arg(3)
    newfname  = arg(4)

    rc = isfile( arcfname )

    if rc <= 0 then
        return(0)       /* file not found */

    call bbslog "checklst", "Uncompressing", arcfname

    "c:"
    cd "\bbs\files\work"
    del "*.* < c:\bbs\cmd\resp.yes" 

    if ArcMethod = 0 then
        copy arcfname
    else
    if ArcMethod = 1 then
        unzip arcfname
    else
    if ArcMethod = 2 then
        arc x arcfname
    else
    if ArcMethod = 3 then
        lh x arcfname
    else
    if ArcMethod = 4 then
        unarj e arcfname

    rc = isfile( lstfname )

    if rc <= 0 then
        do
        call bbslog "checklst", "Expected list file", '"'lstfname'"', "not found."
        echo Expected list file not found
        return(0)       /* file not found */
        end

    copy lstfname "c:\bbs\files\"newfname

    call bbslog "checklst", "Copied", '"'lstfname'"', "to", newfname

    del "*.* < c:\bbs\cmd\resp.yes"

    del arcfname

    return(0)
