/*-------------------------------------------------------------------------*
 * CheckTag                                                                *
 *                                                                         *
 * Check to see if tag file 'arg(1)' exists.  If it does, try a total of   *
 * 5 times, pausing 1 minute inbetween.                                    *
 *                                                                         *
 * Arg(1) : Name of tag file on which to check.                            *
 *                                                                         *
 * Return 1 if the tag file exists, 0 if it does not.                      *
 *                                                                         *
 * A tag file is created to "block" other processes that may want          *
 * exclusive access to the message base.  It is also a handy way to block  *
 * any mail processing while working on the BBS.  Simply create the "tag"  *
 * file (which can be filled with just a few garbage characters) and then  *
 * delete the file when you are done working on the BBS.                   *
 *                                                                         * 
 *-------------------------------------------------------------------------*/

CheckTag:

tagfilename = arg(1)

trial_count = 0
file_exists = 1

do until ((file_exists = 0) | (trial_count > 4))

    trial_count = trial_count + 1

    rc = isfile( tagfilename )

    if rc >= 1
    then
        do
        echo "Tag file" tagfilename "exists.  Cannot start process now.  Waiting..."
        sleep 60            /* sleep 60 seconds and wait */
        end
    else
        do
        file_exists = 0     /* tag file did not exist */
        /* create tag file for calling process */
        echo "Process started at" date() time() "> " tagfilename
        end
end

return( file_exists )
