/*-------------------------------------------------------------------------*
 * NODELIST.CMD                                                            *
 *                                                                         *
 * Rexx procedure to update and/or create all nodelist files.              *
 *                                                                         *
 * Arg(1) : If "force", then all nodelists will be re-compiled regardless  *
 *          if new nodediffs/nodelists are in the inbound directory.       *
 *                                                                         *
 *-------------------------------------------------------------------------*/

"@echo off"

/* trace results */

/*-------------------------------------------------------------------------*
 * Declare global variables                                                *
 *-------------------------------------------------------------------------*/

call RxFuncAdd 'SysFileTree', 'RexxUtil', 'SysFileTree'

donelistfile    = "c:\bbs\nodelist\done.lst"

inbounddir      = "c:\binkley\inbound"
fastlistdir     = "c:\bbs\fastlist"

/*
 * Since we use the MOVE command for the two following paths, we cannot
 * have a drive specification in them since MOVE will not move files
 * across drives.  (Brain dead program....)
 */

nodelistdir     = "\bbs\nodelist"
workdir         = "\bbs\nodelist\work"

FALSE = 0
TRUE  = 1

/*-------------------------------------------------------------------------*
 * MainLine                                                                *
 *-------------------------------------------------------------------------*/

if arg(1) = "force" then
    force_compile = TRUE
else
    force_compile = FALSE

/*
 * Change to drive which have 'nodelistdir' and 'workdir' directories
 */

"c:"

/*
 * Copy nodediff to specified point systems if it exists
 */

filename = inbounddir'\nodediff.a*'

CALL SysFileTree filename, 'file', 'FO', '*****'

if file.0 > 0 then
    do
    del 'c:\bbs\nodelist\save\nodediff.a*'
    copy filename 'c:\bbs\nodelist\save'

    /* send to 170/110.601 */
    echo 'c:\bbs\nodelist\save\'FILESPEC("name",file.1) '>> c:\binkley\outbound\00aa006e.pnt\00000259.hlo'

    /* send to 170/110.12 */
    echo 'c:\bbs\nodelist\save\'FILESPEC("name",file.1) '>> c:\binkley\outbound\00aa006e.pnt\0000000c.hlo'
    end
