/*-------------------------------------------------------------------------*
 * EDITMAIL.CMD                                                            *
 *                                                                         *
 * Rexx procedure to read/edit e-mail.                                     *
 *-------------------------------------------------------------------------*/

echo off
cls
'c:'
cd '\bbs\timed'

/*
 *  TimEd can exit with several useful errorlevels:
 *
 *     No mail entered    :   0
 *     Netmail entered    :   1
 *     Echomail entered   :   2
 *     Local mail entered :   4
 *
 *     If more than one type is entered the numbers are added:
 *     Net + Echo         :   3
 *     Net + Local        :   5
 *     Echo + Local       :   6
 *     Net + Echo + Local :   7
 *
 *     Error: 254
 */

if arg(1,'exists') then
    timedp '-cC:\BBS\TIMED\'arg(1)'\'
else
    timedp

if ( rc = 254 ) then    /* error */
    do
    say 'Fatal error from Timed'
    exit
    end

                        /* no mail */
/*
if ( rc = 0 ) then
    do
    say 'No mail entered.  Nothing to process.'
    exit
    end
*/

                        /* local mail only */
/*
if ( rc = 4 ) then
    do
    call LocalMail
    exit
    end
*/

                        /* netmail entered */
/*
if (rc = 1) | (rc = 3) | (rc = 5) | (rc = 7 ) then
    do
    netscan
    msgnum '-R c:\binkley\pvtmail > nul: 2>&1'
    call LocalMail
    end
*/

/* do this anyway just to be sure */
netscan
msgnum '-R c:\binkley\pvtmail > nul: 2>&1'
call LocalMail

call OutboundMail

exit

/*-------------------------------------------------------------------------*
 * OutboundMail                                                            *
 *                                                                         *
 * NetMail or EchoMail entered.                                            *
 *-------------------------------------------------------------------------*/

OutboundMail:

    detach export.cmd

    /* start '''Export'' /C /MIN export > c:\bbs\logs\export.tmp 2>&1' */

    return(1)

/*-------------------------------------------------------------------------*
 * LocalMail                                                               *
 *                                                                         *
 * Local mail entered.                                                     *
 *-------------------------------------------------------------------------*/

LocalMail:

    /*
     * Set 'sent' bit on private local mail
     */

    call pvtlocal

    scanbld 'c:\bbs\max\system\user.bbs c:\bbs\max\system\area.dat local -c'

    return(1)
