/*-------------------------------------------------------------------------*
 * LIVENET.CMD                                                             *
 *                                                                         *
 * Rexx procedure to execute Maximus locally.                              *
 *-------------------------------------------------------------------------*/

echo off
cls
"c:"
cd "\bbs\max\system"

maxp "-n20" "-k" "-l" arg(1) arg(2) arg(3) arg(4) arg(5) arg(6)

select
    when rc = 20 then       /* NetMail entered */
        call OutboundMail

    when rc = 21 then       /* EchoMail entered */
        call OutboundMail

    when rc = 22 then       /* Local mail entered */
        call LocalMail

    when rc = 5 then
        exit

    when rc = 1 then
        exit

    otherwise
        say "livenet.cmd : unknown exit code" rc "from maximus"
end

exit

/*-------------------------------------------------------------------------*
 * OutboundMail                                                            *
 *                                                                         *
 * NetMail or EchoMail entered.                                            *
 *-------------------------------------------------------------------------*/

OutboundMail:

    detach export.cmd

    /* start """Export"" /C /MIN export > c:\bbs\logs\export.tmp 2>&1" */

    return(1)

/*-------------------------------------------------------------------------*
 * LocalMail                                                               *
 *                                                                         *
 * Local mail entered.                                                     *
 *-------------------------------------------------------------------------*/

LocalMail:

    /*
     * Set "sent" bit on private local mail
     */

    call pvtlocal

    scanbld "c:\bbs\max\system\user.bbs c:\bbs\max\system\area.dat local -c"

    return(1)
