/*-------------------------------------------------------------------------*
 * MAINT.CMD                                                               *
 *                                                                         *
 * Rexx procedure to execute nightly maintenance tasks.                    *
 *-------------------------------------------------------------------------*/

echo off

call bbslog "maint", "Nightly maintenance started"

/*
 * Since we are using "-250" in tick to ensure the entire description is
 * used and not truncated, trim all the white space at the end of all
 * the FILES.BBS files.
 */

/* forall "-R c:\max\files\files.bbs : trimfile @F" */

/*
 * Check to see if any of our file requests have come in.  If so, move them
 * to the "newup" file area and update the files.bbs
 */

call checkreq.cmd ">> c:\bbs\logs\checkreq.out 2>&1"

/*
 * Sort all file areas using DOWNSORT and update each FILES.BBS in the
 * download directories
 */

call makelist.cmd "> c:\bbs\logs\makelist.out 2>&1"

/*
 * Pack, sort, and delete old entries in Maximus user file
 */

/* maxusort "c:\bbs\max\system /365 /365L /365N" */

/*
 * Make sure Global Downloading "files" database is up-to-date
 */

"c:"
cd "\bbs\max\system"
fb

/*
 * Check to see if tag file exists, if it does, then exit.
 *
 * We do not want to perform the mail processing portion of the nightly
 * maintenance if the message bases are already being used for some other
 * purpose.
 */

status = CheckTag( "c:\bbs\logs\mail.tag" )

if status = 1 then
    do
    echo "Mail processing already in progress, cannot start another mail process now."
    call bbslog "Maint", "Nightly Maintenance Mail Processing attempted while mail processing in progress"
    exit            /* get out */
    end

/*
 * Link message threads together.  Since this is so time consuming to do
 * after every mail drop, do it only once per day.
 */

"c:"
cd "\bbs\squish"

squish LINK

/*
 * Make sure any netmail is scanned into private mailbox
 */

netscan

/*
 * Maintenance complete
 */

del "c:\bbs\logs\mail.tag"  /* remove tag file -- allow import/exports */

call bbslog "maint", "Nightly maintenance finished"

exit
