/*-------------------------------------------------------------------------*
 * MONTHLY.CMD                                                             *
 *                                                                         *
 * Rexx procedure to perform monthly maintenance activities                *
 *-------------------------------------------------------------------------*/

echo off

call bbslog "monthly", "Monthly maintenance started"

/*
 * Check to see if tag file exists, if it does, then exit.
 */

status = CheckTag( "c:\bbs\logs\mail.tag" )

if status = 1 then
    do
    echo "Mail processing already in progress, cannot start another mail process now."
    call bbslog "Monthly", "Monthly maintenance attempted while mail processing in progress"
    exit            /* get out */
    end

"c:"
cd "\bbs\msgx"

msgxp "local(local%%y.%%j) /archive=c:\bbs\logs\local /compress/quiet/dates=( previous month )"

if ( rc > 0 ) then
do
    call bbslog "monthly", "Echo not extracted.  MsgX error ", rc
    del "c:\bbs\logs\mail.tag"    /* remove tag file */
    exit
end

/*
 * Renumber the netmail directory
 */

msgnum "-R c:\binkley\netmail"

scanbld "c:\bbs\max\system\user.bbs c:\bbs\max\system\area.dat matrix -c"

/*
 * Archive NetMail
 */

msgxp "netmail(netml%%y.%%j) /archive=c:\bbs\logs\netmail /compress /quiet /limit_size=100 /kill"

if ( rc > 0 ) then
do
    echo "Error" rc "from MsgX"
    exit
end

/*
 * Renumber the netmail directory
 */

msgnum "-R c:\binkley\netmail"

scanbld "c:\bbs\max\system\user.bbs c:\bbs\max\system\area.dat matrix -c" 




del "c:\bbs\logs\mail.tag"        /* remove tag file */

call bbslog "monthly", "Monthly maintenance finished"

exit
