/*-------------------------------------------------------------------------*
 * MSGS.CMD                                                                *
 *                                                                         *
 * Rexx procedure to edit messages in BBS.                                 *
 *-------------------------------------------------------------------------*/

echo off

cls

"c:"

cd "\bbs\msged"

msged "c:\bbs\msged\msged.cfg c:\bbs\max\system\areas.bbs"

/*-------------------------------------------------------------------------*
 * The exit status of 'msged' is an or'ed bitmap as follows:               *
 *                                                                         *
 * Bit 1 (value 1)  : NetMail entered                                      *
 * Bit 2 (value 2)  : EchoMail entered                                     *
 * Bit 3 (value 4)  : UUCP mail entered                                    *
 * Bit 4 (value 8)  : InterNet news entered                                *
 * Bit 5 (value 16) : Local mail entered                                   *
 *                                                                         *
 * For example, an EchoMail message going out via UUCP would be 6 --       *
 *    Bit 3 (value 4) + Bit 2 (value 2)                                    *
 *-------------------------------------------------------------------------*/

select
    when rc = 16 then call LocalMail

    when rc = 11 then call ExportNews
    when rc = 10 then call ExportNews
    when rc =  9 then call ExportNews
    when rc =  8 then call ExportNews

    when rc =  7 then ExportUUCP        /* NetMail AND EchoMail via UUCP */
    when rc =  6 then ExportUUCP        /* EchoMail via UUCP */
    when rc =  5 then ExportUUCP        /* NetMail via UUCP */
    when rc =  4 then ExportUUCP        /* NetMail via UUCP */

    when rc =  3 then call ExportMail   /* NetMail AND EchoMail */
    when rc =  2 then call ExportMail   /* EchoMail only */
    when rc =  1 then call ExportMail   /* NetMail only */

    when rc =  0 then exit              /* no mail entered */

    otherwise
        call bbslog "msgs", "Unknown exit code", rc
        say "Unknown exit code :" rc
end

exit

/*-------------------------------------------------------------------------*
 * Export ...                                                              *
 *                                                                         *
 * 'Export' everything the same way right now until we have a need to      *
 * change things for different distribution networks.                      *
 *-------------------------------------------------------------------------*/

ExportUUCP:
ExportMail:
ExportNews:

    Call export.cmd

    return(0)

/*-------------------------------------------------------------------------*
 * LocalMail                                                               *
 *                                                                         *
 * Local messages entered.                                                 *
 *-------------------------------------------------------------------------*/

LocalMail:

    scanbld "c:\bbs\max\system\user.bbs c:\bbs\max\system\area.dat local -c"

    return(0)
