/*-------------------------------------------------------------------------*
 * SCANTICS.CMD                                                            *
 *                                                                         *
 * Rexx procedure to process *.TIC files                                   *
 *-------------------------------------------------------------------------*/

echo off

cls

rc = isfile( "c:\binkley\inbound\*.tic" )

if ( rc <= 0 ) then
    return              /* No *.TIC files received */

call bbslog "ScanTics", "Initiating *.TIC Processing"

/*
 * Save them "just in case"...
 */

copy "c:\binkley\inbound\*.tic c:\binkley\inbound\save"

/*
 * Run TICK in "check only" mode so that any bad *.TIC files are renamed
 * to *.BAD.  These files will then not be erroneously announced using
 * FAN later.
 */

"c:"

cd "\bbs\tick"

TICP "/OC >> c:\bbs\logs\tick.log"

if rc <> 0 then
    do
    call bbslog "Tick", "ERROR ", rc, " returned from TICK /OC"
    return
    end

/*
 * Set the archive dates to the "True" archive date.
 */

truedate "c:\binkley\inbound\*"

/*
 * Call FAN (File Announcement Utility) to send out announcement
 * messages.
 */

"c:"

cd "\bbs\fan"

fan "/tosslog = c:\bbs\fan\fantoss.log /nologwarn"

/*
 * Scan and Toss the newly created message
 */

/*
 * SCANTICS.CMD is now called from IMPORT.CMD.  Squish processing will
 * be done in there.

"c:"
cd "\bbs\squish"

squish "IN OUT SQUASH -fc:\bbs\fan\fantoss.log"

del "c:\bbs\fan\fantoss.log > nul: 2>&1"
*/

/*
 * Now call TICK to do the actual distribution
 */

"c:"

cd "\bbs\tick"

TICP ">> c:\bbs\logs\tick.log"

if rc <> 0 then
    do
    call bbslog "Tick", "ERROR ", rc, " returned from TICK"
    return
    end

/*
 * Update Maximus's global download file database
 */

"c:"
cd "\bbs\max\system"

fb

/*
 * Create a new files list
 */

/* detach makelist "> nul: 2>&1" */

call bbslog "ScanTics", "Completed *.TIC Processing"

exit
