/*-------------------------------------------------------------------------*
 * SPAWNBBS.CMD                                                            *
 *                                                                         *
 * Rexx procedure to initiate the BBS package from BinkleyTerm.            *
 *-------------------------------------------------------------------------*/

/* echo off */
cls
"c:"
cd "\bbs\max\system"

/*
 * Since the arguments come in as one or more strings, we must parse them apart.
 */

argstr = arg(1) arg(2) arg(3) arg(4) arg(5)

arg1 = substr( argstr, wordindex(argstr,1), wordlength(argstr,1) )
arg2 = substr( argstr, wordindex(argstr,2), wordlength(argstr,2) )
arg3 = substr( argstr, wordindex(argstr,3), wordlength(argstr,3) )
arg4 = substr( argstr, wordindex(argstr,4), wordlength(argstr,4) )
/* arg5 = substr( argstr, wordindex(argstr,5), wordlength(argstr,5) ) */

call bbslog "spawnbbs", "Entering Maximus, -b",arg2," -p",arg3," -t",arg4, " DTE rate:",arg1 /* ," Modem flags:",arg5 */

bigbro arg3 maxp "-b"arg2 "-p"arg3 "-t"arg4 " -n01 -lmax01.log -z\pipe\snoop01 > nul:"

max_exit_code = rc      /* save the return code */

/*
 * Set "sent" bit on private local mail
 */

call pvtlocal

/*
 * Check to see if tag file exists, if it does, then don't try to wait
 * around until it is gone.
 */

rc = isfile( "c:\bbs\logs\mail.tag" )

if ( rc > 0 ) then
    do
    call bbslog "Spawnbbs", "Tag file exists.  Immediate exit after BBS call.  Mail not processed."
    exit            /* get out */
    end

select
    when max_exit_code = 20 then       /* NetMail entered */
        call export.cmd

    when max_exit_code = 21 then       /* EchoMail entered */
        call export.cmd

    when max_exit_code = 22 then       /* Local mail entered */
        /* It is a bit more work to call EXPORT.CMD here, but helps maintain */
        /* consistency in our handling of mail */
        call export.cmd

    when max_exit_code = 5 then        /* caller logged off - no mail entered */
        exit

    when max_exit_code = 0 then
        exit

    otherwise
        call bbslog "spawnbbs", "Unknown return code ", max_exit_code
end

exit
