/*-------------------------------------------------------------------------*
 * WEEKLY.CMD                                                              *
 *                                                                         *
 * Rexx procedure to perform weekly maintenance activities                 *
 *-------------------------------------------------------------------------*/

echo off

call bbslog "weekly", "Weekly maintenance started"

/*
 * Check to see if tag file exists, if it does, then exit.
 */

status = CheckTag( "c:\bbs\logs\mail.tag" )

if status = 1 then
    do
    echo "Mail processing already in progress, cannot start another mail process now."
    call bbslog "Weekly", "Weekly Maintenance attempted while mail processing in progress"
    echo "! Weekly maintenance aborted! > c:\bbs\logs\fatal.log"
    exit            /* get out */
    end


/*
 * Delete SQUISH.LOG
 */

copy "c:\bbs\logs\squish.log c:\bbs\logs\squish.bak"
del "c:\bbs\logs\squish.log"

/*
 * Compress any deleted space out of Echo "Squish" format files
 */

sqpack "c:\bbs\max\system\area.dat"

/*
 * Clean out the DUPES directory
 */

del "d:\echos\dupe_msgs\*.* < c:\bbs\cmd\resp.yes"

scanbld "c:\bbs\max\system\user.bbs c:\bbs\max\system\area.dat matrix -c"

/*
 * Archive selected message bases
 */

"c:"
cd "\bbs\msgx"

msgxp "mens_issues(men.%%j) /archive=d:\max\files\echos\MN%%y%%m%%d /compress/update/quiet/dates=( previous week )" arg(1)

if ( rc > 0 ) then
do
    call bbslog "weekly", "Echo not extracted.  MsgX error ", rc
    del "c:\bbs\logs\mail.tag"        /* remove tag file */
    exit
end


msgxp "@c:\bbs\msgx\msgxos2.ctl"

if ( rc > 0 ) then
do
    call bbslog "weekly", "Echo not extracted.  MsgX error ", rc
    del "c:\bbs\logs\mail.tag"        /* remove tag file */
    exit
end

msgxp "muffin(maximus.%%j), tub(squish.%%j), maxdev(maxdev.%%j) /archive=d:\max\files\echos\MX%%y%%m%%d /compress/update/quiet/dates=( previous week )" arg(1)

if ( rc > 0 ) then
do
    call bbslog "weekly", "Echo not extracted.  MsgX error ", rc
    del "c:\bbs\logs\mail.tag"        /* remove tag file */
    exit
end

msgxp "binkley(binkley.%%j) /archive=d:\max\files\echos\BK%%y%%m%%d /compress/update/quiet/dates=( previous week )" arg(1)

if ( rc > 0 ) then
do
    call bbslog "weekly", "Echo not extracted.  MsgX error ", rc
    del "c:\bbs\logs\mail.tag"        /* remove tag file */
    exit
end

msgxp "@c:\bbs\msgx\msgxibm.ctl"

if ( rc > 0 ) then
do
    call bbslog "weekly", "Echo not extracted.  MsgX error ", rc
    del "c:\bbs\logs\mail.tag"        /* remove tag file */
    exit
end


del "c:\bbs\logs\mail.tag"        /* remove tag file */

call bbslog "weekly", "Weekly maintenance finished"

exit
